umbrello: TEST_classifier Class Reference

umbrello 2.38.1 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Private Slots | List of all members
TEST_classifier Class Reference

`#include <testclassifier.h>`

Inheritance diagram for TEST_classifier:

## Private Slots
void | test_equal ()
void | test_copyInto ()
void | test_clone ()
void | test_addAttributeWithType ()
void | test_addAttributeWithObject ()
void | test_addAttributeWithAttribute ()
void | test_removeAndCountAttribute ()
void | test_getAttributeList ()
void | test_addOperationWithPosition ()
void | test_addOperationWithLog ()
void | test_checkOperationSignature ()
void | test_removeAndCountOperation ()
void | test_getOperationList ()
void | test_addTemplateWithType ()
void | test_addTemplateWithLog ()
void | test_addTemplateWithPosition ()
void | test_removeAndCountTemplate ()
void | test_findTemplate ()
void | test_getTemplateList ()
void | test_takeItem ()
void | test_getFilteredList ()
void | test_resolveRef ()
void | test_findOperations ()
void | test_findChildObjectById ()
void | test_findOperation ()
void | test_findSuperClassConcepts ()
void | test_findSubClassConcepts ()
void | test_setGetClassAssoc ()
void | test_isInterface ()
void | test_setGetOriginType ()
void | test_setGetIsReference ()
void | test_hasAbstractOps ()
void | test_makeChildObject ()
void | test_getUniAssociationToBeImplemented ()
void | test_saveAndLoad ()

## Additional Inherited Members
Public Member Functions inherited from TestBase
| TestBase (QObject *parent=0)
Protected Slots inherited from TestBase
virtual void | initTestCase ()
virtual void | cleanupTestCase ()
virtual void | cleanupOnExit (QObject *p)
Protected Attributes inherited from TestBase
QList< QPointer< QObject > > | m_objectsToDelete

## Detailed Description

Unit test for class UMLClassifier (classifier.h).

## Member Function Documentation

## ◆ test_addAttributeWithAttribute

void TEST_classifier::test_addAttributeWithAttribute | ( |  | ) |
| privateslot

## ◆ test_addAttributeWithObject

void TEST_classifier::test_addAttributeWithObject | ( |  | ) |
| privateslot

## ◆ test_addAttributeWithType

void TEST_classifier::test_addAttributeWithType | ( |  | ) |
| privateslot

## ◆ test_addOperationWithLog

void TEST_classifier::test_addOperationWithLog | ( |  | ) |
| privateslot

## ◆ test_addOperationWithPosition

void TEST_classifier::test_addOperationWithPosition | ( |  | ) |
| privateslot

## ◆ test_addTemplateWithLog

void TEST_classifier::test_addTemplateWithLog | ( |  | ) |
| privateslot

## ◆ test_addTemplateWithPosition

void TEST_classifier::test_addTemplateWithPosition | ( |  | ) |
| privateslot

## ◆ test_addTemplateWithType

void TEST_classifier::test_addTemplateWithType | ( |  | ) |
| privateslot

## ◆ test_checkOperationSignature

void TEST_classifier::test_checkOperationSignature | ( |  | ) |
| privateslot

## ◆ test_clone

void TEST_classifier::test_clone | ( |  | ) |
| privateslot

## ◆ test_copyInto

void TEST_classifier::test_copyInto | ( |  | ) |
| privateslot

## ◆ test_equal

void TEST_classifier::test_equal | ( |  | ) |
| privateslot

## ◆ test_findChildObjectById

void TEST_classifier::test_findChildObjectById | ( |  | ) |
| privateslot

## ◆ test_findOperation

void TEST_classifier::test_findOperation | ( |  | ) |
| privateslot

## ◆ test_findOperations

void TEST_classifier::test_findOperations | ( |  | ) |
| privateslot

## ◆ test_findSubClassConcepts

void TEST_classifier::test_findSubClassConcepts | ( |  | ) |
| privateslot

## ◆ test_findSuperClassConcepts

void TEST_classifier::test_findSuperClassConcepts | ( |  | ) |
| privateslot

## ◆ test_findTemplate

void TEST_classifier::test_findTemplate | ( |  | ) |
| privateslot

## ◆ test_getAttributeList

void TEST_classifier::test_getAttributeList | ( |  | ) |
| privateslot

## ◆ test_getFilteredList

void TEST_classifier::test_getFilteredList | ( |  | ) |
| privateslot

## ◆ test_getOperationList

void TEST_classifier::test_getOperationList | ( |  | ) |
| privateslot

## ◆ test_getTemplateList

void TEST_classifier::test_getTemplateList | ( |  | ) |
| privateslot

## ◆ test_getUniAssociationToBeImplemented

void TEST_classifier::test_getUniAssociationToBeImplemented | ( |  | ) |
| privateslot

## ◆ test_hasAbstractOps

void TEST_classifier::test_hasAbstractOps | ( |  | ) |
| privateslot

## ◆ test_isInterface

void TEST_classifier::test_isInterface | ( |  | ) |
| privateslot

## ◆ test_makeChildObject

void TEST_classifier::test_makeChildObject | ( |  | ) |
| privateslot

## ◆ test_removeAndCountAttribute

void TEST_classifier::test_removeAndCountAttribute | ( |  | ) |
| privateslot

## ◆ test_removeAndCountOperation

void TEST_classifier::test_removeAndCountOperation | ( |  | ) |
| privateslot

## ◆ test_removeAndCountTemplate

void TEST_classifier::test_removeAndCountTemplate | ( |  | ) |
| privateslot

## ◆ test_resolveRef

void TEST_classifier::test_resolveRef | ( |  | ) |
| privateslot

## ◆ test_saveAndLoad

void TEST_classifier::test_saveAndLoad | ( |  | ) |
| privateslot

## ◆ test_setGetClassAssoc

void TEST_classifier::test_setGetClassAssoc | ( |  | ) |
| privateslot

## ◆ test_setGetIsReference

void TEST_classifier::test_setGetIsReference | ( |  | ) |
| privateslot

## ◆ test_setGetOriginType

void TEST_classifier::test_setGetOriginType | ( |  | ) |
| privateslot

## ◆ test_takeItem

void TEST_classifier::test_takeItem | ( |  | ) |
| privateslot

The documentation for this class was generated from the following files:

- unittests/testclassifier.h
- unittests/testclassifier.cpp